
 Amarok - the audio player for KDE
===================================

There are many media players around these days, true. What's missing from most
players is a user interface that doesn't get in the way of the user. How many
buttons do you have to press for simply adding some new tracks to the playlist?
Amarok tries to be a little different, providing a simple drag and drop
interface that really makes playlist handling easy.


 FEATURES
==========

    * Quick and simple drag and drop playlist creation
    * Music library (built-in SQLite, MySQL, or PostgreSQL)
    * Multiple backends supported (Phonon, xine, GStreamer, and Helix)
    * Plays all audio formats known to man
    * 10 band equalizer
    * Automatic cover art download using Amazon services
    * The unique and powerful stylable context browser
    * Automatic play-statistics generation (iRate style)
    * Full lyrics download
    * Learn about your music with integrated Wikipedia
    * Full last.fm support
    * Visualisations with libvisual
    * Crossfading and gapless playback
    * Fully configurable OSD for track changes
    * K3B (CD-burning) integration
    * Podcast support
    * Access to iPod, iRiver IFP, USB Mass Storage and many other devices
    * Powerful scripting interface
    * Complete DCOP Access
    * KDE integration
    * Preview and buy albums from the Magnatune.com music store
--------------------------------------------------------------------------------


 DEPENDENCIES
==============

Required
    * KDE-Libs 4.0 + KDE-Base-runtime 4.0 (or newer)
      http://www.kde.org

    * TagLib 1.4 (or newer)
      (metadata tagging library)
      http://freshmeat.net/projects/taglib

    * Ruby 1.8
      (programming language, used for scoring, lyrics, last.fm streams)
      http://www.ruby-lang.org

    * One of the multimedia frameworks listed below:

Recommended
    * xine-lib 1.0.2 (or newer)
      Note: xine-lib 1.1.1 is required for gapless playback.
      (multimedia framework)
      http://xinehq.de/

Optional
    * RealPlayer 10 or HelixPlayer 1.0
      (multimedia framework)
      http://www.real.com
      (Note: only HelixPlayer is exactly RealPlayer without MP3 support)

    * KDE-Base 4.0 (or newer)
      (needed for Konqueror Sidebar)
      http://www.kde.org

    * MySQL 4 or 5
      (faster database support)
      http://www.mysql.com

    * PostgreSQL 7.4
      (faster database support)
      http://www.postgresql.org

    * OpenGL accelerated X-Server
      (visualization rendering)

    * Libvisual 0.4.0 + SDL 1.2
      (visualization framework)
      http://localhost.nl/~synap/libvisual/
      http://www.libsdl.org

    * ProjectM 0.96 (or newer)
      (visualization plugins for Libvisual or XMMS)
      http://xmms-projectm.sourceforge.net/

    * libtunepimp 0.3 (or newer)
      (automatic tagging support)
      http://www.musicbrainz.org/

    * K3B 0.11 (or newer)
      (CD burning support)
      http://www.k3b.org

    * libgpod 0.4.2 (or newer)
      (iPod support)
      http://www.gtkpod.org/libgpod.html

    * libifp 1.0.0.2
      (iRiver iFP support)
      http://ifp-driver.sourceforge.net/libifp/

    * libmp4v2 (mpeg4ip 1.5 is recommended, faad2 is less reliable)
      (MP4/AAC tag reading & writing)
      http://www.sf.net/projects/mpeg4ip
      http://www.audiocoding.com

    * libnjb 2.2.4 (older versions may work)
      (NJB mediadevice (Creative Nomad/Zen family, Dell DJ devices)
      http://www.sf.net/projects/libnjb

    * libmtp 0.1.1 (or newer)
      (MTP media device support AKA PlaysForSure)
      http://libmtp.sourceforge.net/

    * libkarma 0.0.5 && OMFS 0.6.1
      (Rio Karma support via USB)
      http://freakysoft.de/html/libkarma/ && http://linux-karma.sf.net/
      
Please note, if compiling from source you must also install the devel versions
of these packages.
--------------------------------------------------------------------------------


 IMPORTANT INSTALL INSTRUCTIONS
================================

To compile from source, please refer to the INSTALL file.

Packages for popular distributions are available at http://amarok.kde.org
--------------------------------------------------------------------------------


 INSTALLATION-FAQ
==================

Q: I have the required version of GStreamer installed but configure doesn't
   find it!
Q: I have pkg-config problems.
A: Here's an extract from the PKG-CONFIG man page:

     pkg-config retrieves information about packages from  special metadata
     files. These files are named after the package, with the extension
     .pc. By default, pkg-config looks in the directory prefix/lib/pkgconfig
     for these  files;  it will  also  look in the colon-separated list of
     directories specified by the PKG_CONFIG_PATH environment variable.

   So, do export PKG_CONFIG_PATH="/path/to/gstreamer-0.x.y.pc" and reconfigure.

Q: Can I improve Amarok's startup time?
A: Prelinking Amarok has spectacular results; however if you have binary openGL
   drivers (eg Nvidia drivers), you will need to compile Amarok --without-opengl
   in order to get the amarokapp binary to prelink (the amarok binary is not
   important here).
--------------------------------------------------------------------------------


 OTHER-FAQS
============

For answers to problems like "Amarok won't play any MP3s!" and "My MP3s skip
and stutter!" please visit:

   http://amarok.kde.org/
--------------------------------------------------------------------------------


 INFORMATION FOR PACKAGERS
===========================

For Amarok packages we suggest you build:

                % ./configure --disable-debug

It is possible to build Amarok to use MySQL as the database backend. Using
MySQL makes the Amarok collection faster.

We suggest compiling Os, there is no particular part of Amarok that would
benefit from optimisation, so the smallest binary is probably the best route.

In order to limit the dependencies the Amarok package demands we suggest
splitting Amarok into the following packages:

   1. Amarok + one backend
   2. xine-engine
   3. Helix-engine
   4. amarok_libvisual
   5. ipod media device
   6. ifp media device
   7. njb media device
   8. mtp media device
   9. rio karma media device

Amarok is modular and will be fully functional as long as one of 2 or 3 is
also installed. Hence we suggest Amarok + one backend. Feel free to include the
helix, engine if you can satisfy their dependencies.

If you make packages for Amarok please let us know and we'll link to you on the
homepage (as long as you don't object).
--------------------------------------------------------------------------------


 CONTRIBUTING
==============

If you wish to contribute to Amarok, you should build it from SVN and subscribe
to the amarok AT kde.org mailing list. The IRC channel is  also  a  place  where
it's  nice  to  be, since you can talk to other developers much easier, and
get instant notification of commits to the SVN. For instant email notification
of commits, visit http://commitfilter.kde.org/.
--------------------------------------------------------------------------------


WWW : http://amarok.kde.org
MAIL: amarok@kde.org
IRC : irc.freenode.net - #amarok, #amarok.de, #amarok.es
